edu.ucsb.nceas.metacat.admin

## Class ReplicationAdmin

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.MetacatAdmin
  - - edu.ucsb.nceas.metacat.admin.ReplicationAdmin

-     public class ReplicationAdmin
      extends MetacatAdmin

  Control the display of the database configuration page and the processing of the configuration values.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReplicationAdmin` | `getInstance()` Get the single instance of D1Admin.
    `void` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle configuration of replication -- pass through to the other handler
    `protected java.util.Vector<java.lang.String>` | `validateOptions(javax.servlet.http.HttpServletRequest request)` Validate the most important configuration options submitted by the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ReplicationAdmin getInstance()
                                              throws AdminException

      Get the single instance of D1Admin.
      Returns:
        the single instance of D1Admin
      Throws:
        `AdminException`

    - #### handleRequest

          public void handleRequest(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response)
                             throws AdminException,
                                    ServiceException,
                                    java.io.IOException,
                                    MetacatUtilException

      Handle configuration of replication -- pass through to the other handler
      Parameters:
        `request` - the http request information
        `response` - the http response to be sent back to the client
      Throws:
        `ServiceException`
        `java.io.IOException`
        `MetacatUtilException`
        `AdminException`

    - #### validateOptions

          protected java.util.Vector<java.lang.String> validateOptions(javax.servlet.http.HttpServletRequest request)

      Validate the most important configuration options submitted by the user.
      Specified by:
        `validateOptions` in class `MetacatAdmin`
      Returns:
        a vector holding error message for any fields that fail validation.

Copyright © 2020 Regents of the University of California. All Rights Reserved.